#
# spec file for package perl-WebService-MusicBrainz
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name WebService-MusicBrainz
Name:           perl-WebService-MusicBrainz
Version:        1.0.7
Release:        1.1
# v1.0.7 -> normalize -> 1.0.7
%define cpan_version v1.0.7
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Web service API to MusicBrainz database
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BF/BFAIST/%{cpan_name}-1.0.7.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.42
BuildRequires:  perl(Mojolicious) >= 7.13
Requires:       perl(Mojolicious) >= 7.13
%{perl_requires}

%description
API to search the musicbrainz.org database

%prep
%autosetup  -n %{cpan_name}-1.0.7

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
# MANUAL no testing (needs network)
#./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md

%changelog
* Mon Jul 29 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.0.7 (v1.0.7)
  see /usr/share/doc/packages/perl-WebService-MusicBrainz/Changes
* Wed Jul 27 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.0.6
  - use HTTPS instead of HTTP in URLs to prevent redirects
  - fix tests
* Wed Oct 21 2020 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 1.0.5
  see /usr/share/doc/packages/perl-WebService-MusicBrainz/Changes
  1.0.4 Friday February 16th 2018
  - Merge pull request (jwbargsten)
* Wed Mar  6 2019 Martin Wilck <mwilck@suse.com>
- updated to 1.0.4
  * Version 1.0 and future releases are not backward compatible
    with pre-1.0 releases. There's currently no package in Factory
    that requires perl(WebService::MusicBrainz), so the change
    should be no problem.
  * adapt dependencies to 1.0 release
  * spec file cleanup
* Wed Mar  9 2011 pascal.bleser@opensuse.org
- initial version (0.93)
